Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Macros | Typedefs
baseapi.h File Reference
`#include <stdio.h>`
`#include "platform.h"`
`#include "apitypes.h"`
`#include "thresholder.h"`
`#include "unichar.h"`
`#include "tesscallback.h"`
`#include "publictypes.h"`
`#include "pageiterator.h"`
`#include "resultiterator.h"`

Go to the source code of this file.

## Classes

class | tesseract::TessBaseAPI

## Namespaces

namespace | tesseract

## Macros

#define | MAX_NUM_INT_FEATURES 512

## Typedefs

typedef list_rec * | LIST
typedef INT_FEATURE_STRUCT * | INT_FEATURE
typedef INT_FEATURE_STRUCT | INT_FEATURE_ARRAY [MAX_NUM_INT_FEATURES]
typedef int(Dict::* | tesseract::DictFunc )(void *void_dawg_args, UNICHAR_ID unichar_id, bool word_end) const
typedef double(Dict::* | tesseract::ProbabilityInContextFunc )(const char *lang, const char *context, int context_bytes, const char *character, int character_bytes)
typedef void(Wordrec::* | tesseract::FillLatticeFunc )(const MATRIX &ratings, const LIST &best_choices, const UNICHARSET &unicharset, BlamerBundle *blamer_bundle)
typedef TessCallback3< const UNICHARSET &, int, PAGE_RES * > | tesseract::TruthCallback

## Macro Definition Documentation

#define MAX_NUM_INT_FEATURES 512

Definition at line 63 of file baseapi.h.

## Typedef Documentation

typedef INT_FEATURE_STRUCT* INT_FEATURE

Definition at line 64 of file baseapi.h.

typedef INT_FEATURE_STRUCT INT_FEATURE_ARRAY[MAX_NUM_INT_FEATURES]

Definition at line 66 of file baseapi.h.

typedef list_rec* LIST

Definition at line 60 of file baseapi.h.